org.tmatesoft.svn.core.auth

## Interface ISVNSSHHostVerifier

All Known Implementing Classes:
  BasicAuthenticationManager

    public interface ISVNSSHHostVerifier

Version:
  1.3
Author:
  TMate Software Ltd.

### Method Summary

Methods
`void` `verifyHostKey(java.lang.String hostName, int port, java.lang.String keyAlgorithm, byte[] hostKey)`

### Method Detail

#### verifyHostKey

    void verifyHostKey(java.lang.String hostName,
                     int port,
                     java.lang.String keyAlgorithm,
                     byte[] hostKey)
                       throws SVNException

Throws:
  `SVNException`